[freetds] libtdsocdbc.so

Steve Langasek vorlon at dodds.net
Sat Sep 20 03:13:56 EDT 2008


On Fri, Sep 19, 2008 at 12:21:26PM -0400, Minoo, Dariush  wrote:

> 'yum install' requires root permission which I don't have.
> The unixODBC that I have downloaded is unixODBC-2.2.12. The
> isql.h and isqlext.h that are in this package are in:

> Drivers/Postgre7.1/isql.h
> Drivers/nn/isql.h
> exe/isql.h

> Drivers/Postgre7.1/isqlext.h
> Drivers/nn/isqlext.h

> The DriverManager directory does not have isql.h and isqlext.h.
> Do I have the correct unixODBC? 

The header is called sql.h in UnixODBC, not isql.h.  You probably need to
specify --with-unixodbc=/path/to/unixodbc when running ./configure, since -
given that you don't have root - unixodbc won't be installed in the system
path.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek at ubuntu.com                                     vorlon at debian.org



More information about the FreeTDS mailing list